Name: ruli
Version: 0.3
Release: 1
Copyright: GPL
Group: Development/Libraries
Url: http://ruli.sourceforge.net
Source: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Summary: Resolver User Interface Library for DNS SRV records
BuildRoot: /var/tmp/%{name}-root
Prereq: ldconfig

%description
RULI is a library built on top of DNS resolver. RULI fully performs
the SRV logic specified by RFC 2782. It aims to promote wide
deployment of DNS SRV-cognizant programs.

# disable build root strip policy to allow debugging into shared objects
%define __spec_install_post /usr/lib/rpm/brp-compress        

%changelog
* Mon May 21 2001 Kenneth Porter <shiva@well.com>
- First RPM release.

%prep
%setup

%build
make -C src
make -C tools "RULI_CFLAGS=-I../src -L../src -Wl,-rpath,../src"

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/ruli
install -c -m 755 src/libruli.so $RPM_BUILD_ROOT/%{_libdir}
install -c -m 755 src/libaruli.so $RPM_BUILD_ROOT/%{_libdir}
install -c -m 644 src/ruli.h $RPM_BUILD_ROOT/%{_includedir}
install -c -m 644 src/aruli.h $RPM_BUILD_ROOT/%{_includedir}
install -c -m 644 src/ruli/ruli_list.h $RPM_BUILD_ROOT/%{_includedir}/ruli
install -c -m 644 src/ruli/ruli_rand.h $RPM_BUILD_ROOT/%{_includedir}/ruli
install -c -m 755 tools/ruli-config $RPM_BUILD_ROOT/%{_bindir}
install -c -m 755 tools/http_srv_query $RPM_BUILD_ROOT/%{_bindir}
install -c -m 755 tools/srv_query $RPM_BUILD_ROOT/%{_bindir}
install -c -m 755 tools/srv_aquery_poll $RPM_BUILD_ROOT/%{_bindir}
install -c -m 755 tools/rand $RPM_BUILD_ROOT/%{_bindir}/ruli_rand

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING TODO doc rfc
%{_libdir}/libruli.so
%{_libdir}/libaruli.so
%{_includedir}/ruli.h
%{_includedir}/aruli.h
%{_includedir}/ruli/ruli_list.h
%{_includedir}/ruli/ruli_rand.h
%{_bindir}/ruli-config
%{_bindir}/http_srv_query
%{_bindir}/srv_query
%{_bindir}/srv_aquery_poll
%{_bindir}/ruli_rand
